## Kapitel 2. Starta GIMP

## 1. Köra GIMP

Usually you start GIMP either by clicking GIMP's icon on your desktop (if available), selecting it from a menu, or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to add the exact version number: gimp-3.0.

Du kan, om du vill, tillhandahålla en lista över bildfilnamn på kommandoraden efter programnamnet så att GIMP automatiskt öppnar dessa filer efter att det startat. Det är också möjligt att öppna filer inifrån GIMP då det körs med dialogrutan Öppna bild.

De flesta operativsystem stöder filassociationer, vilka associerar en klass filer (efter deras filändelse, som .jpg) med ett motsvarande program (som GIMP). När bildfiler har ”associerats” korrekt till GIMP så kan du dubbelklicka på en bild i din filbläddrare för att öppna den i GIMP.

Om du installerade Flatpak-versionen av GIMP från flathub.org startar du GIMP antingen genom att klicka på en ikon, eller genom att skriva flatpak run org.gimp.GIMP//stable på en kommandorad.

### 1.1. Ändra språket

GIMP upptäcker och använder automatiskt systemets språk. I det oväntade fallet att språkupptäckten misslyckas, eller om du vill använda ett annat språk, är det lättaste sättet att ändra språket i gränssnittsinställningarna: Redigera → Inställningar, gå sedan till avsnittet Gränssnitt, där kan Språk ställas in högst upp.

Om du föredrar att ändra språk genom att ställa in miljövariabler kan du använda:

Under Linux

  I Linux: skriv i en terminal `LANGUAGE=sv gimp` eller `LANG=sv gimp` där du ersätter sv med fr, en och så vidare beroende på vilket språk du vill använda. Bakgrund: Genom att använda `LANGUAGE=sv` så ställer du in en miljövariabel för det startade programmet `gimp`.

Under Windows

  Kontrollpanelen → System → Avancerat → Miljö i området ”Systemvariabler”: klicka på knappen Lägg till: Ange LANG för Namn och fr, en och så vidare för Värde. Se upp! Du måste klicka på OK tre gånger på rad för att bekräfta ditt val.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for French for instance):

  `set lang=fr
  start gimp-3.0.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

Under Apple macOS

  Gå till Systeminställningar, klicka på Allmänt i sidopanelen. Välj sedan Språk och region. Det önskade språket bör vara först i listan.

En annan GIMP-instans

  You can use command line parameter `-n` to run multiple instances of GIMP. For example, `gimp-3.0` starts GIMP in the default system language, and `LANGUAGE=en gimp-3.0 -n` starts another instance of GIMP in English. This can be very useful for translators.

### 1.2. Kommandoradsargument

Även om inga kommandoradsargument krävs när GIMP startas så kan de vara användbara i vissa situationer. På ett Unix-system kan du använda `man gimp` för en fullständig lista.

These arguments must be added to the command line that you use to start GIMP as gimp-3.0 [OPTION...] [FILE|URI...], where ”OPTION...” can be one or more of the arguments listed below, followed by one or more file names.

-?, -h, --help

  Visa en lista över alla kommandoradsflaggor.

--help-all

  Visa alla hjälpflaggor.

--help-gegl

  Visa alla GEGL-flaggor.

--help-gtk

  Visa GTK+-flaggor.

-v, --version

  Skriv ut versionen av GIMP och avsluta.

--license

  Visa licensinformation och avsluta.

--verbose

  Visa detaljerade uppstartsmeddelanden.

-n, --new-instance

  Starta en ny GIMP-instans.

-a, --as-new

  Öppna bilder som nya.

-i, --no-interface

  Kör utan ett användargränssnitt.

-d, --no-data

  Läs inte in mönster, gradienter, paletter eller penslar. Ofta användbart i situationer som inte kräver interaktion då uppstartstiden ska minimeras.

-f, --no-fonts

  Läs inte in några typsnitt. Det här är användbart för att läsa in GIMP snabbare för skript som inte använder typsnitt, eller för att hitta problem relaterade till felaktiga typsnitt som gör så att GIMP hänger sig.

-s, --no-splash

  Visa inte startbilden vid uppstart.

--no-shm

  Använd inte delat minne mellan GIMP och insticksmoduler.

--no-cpu-accel

  Använd inte speciella accelerationsfunktioner för processorer. Användbart för att hitta eller slå av felfylld accelererad hårdvara eller funktioner.

--session=`namn`

  Använd en annan `sessionrc`-fil för denna GIMP-session. Det sessionsnamn som ges blir tillagt till standardfilnamnet för `sessionrc`.

-g, --gimprc=`filnamn`

  Använd en alternativ `gimprc`-fil i stället för den som är standard. `gimprc`-filen innehåller en förteckning av dina inställningar. Användbart i fall där instickssökvägar eller maskinspecifikationer skiljer sig åt.

--system-gimprc=`filnamn`

  Använd en alternativ system-`gimprc`-fil.

-b, --batch=`kommandon`

  Kör uppsättningen av kommandon icke-interaktivt. Uppsättningen av kommandon är vanligtvis i formen av ett skript som kan köras i ett av GIMPs skripttolkar. När kommandot är `-` läses kommandon från standard in.

--batch-interpreter=`proc`

  Ange proceduren att använda för att behandla satskommandon. Standardproceduren är Script-Fu.

--quit

  Avsluta omedelbart efter att ha utfört begärda åtgärder

-c, --console-messages

  Visa inte dialogrutor vid fel eller varningar. Skriv meddelandena i konsolen i stället.

--pdb-compat-mode=`läge`

  PDB-kompatibilitetsläge (off|on|warn).

--stack-trace-mode=`läge`

  Felsökning om krasch sker (never|query|always).

--debug-handlers

  Aktivera icke-ödesdigra signalhanterare för felsökning. Användbart för GIMP-felsökning.

--g-fatal-warnings

  Gör alla varningar ödesdigra. Användbart för felsökning.

--dump-gimprc

  Utmatning av en gimprc-fil med standardinställningar. Användbart om du stökat till gimprc-filen.

--show-playground

  Visa en inställningssida med experimentella funktioner.

--display=`display`

  Använd den tilldelade X-displayen (kan inte tillämpas på alla plattformar).

### 1.3. Konfigurationsmapp

När det först körs skapar GIMP en konfigurationsmapp. All konfigurationsinformation lagras i denna mapp. Om du byter namn på eller tar bort mappen så upprepar GIMP den initiala konfigurationsprocessen och skapar en ny konfigurationsmapp.

Den exakta platsen för din konfigurationsmapp beror på ditt operativsystem:

Under Linux:

  `$XDG_CONFIG_HOME`

  Usually: `$HOME/.config/GIMP/3.0/`

Under Microsoft Windows using environment variables:

  `%APPDATA%\GIMP\3.0\`

  Usually: `%USERPROFILE%\AppData\Roaming\GIMP\3.0\`

Under Apple macOS:

  `NSApplicationSupportDirectory`

  Usually: `~/Library/Application Support/GIMP/3.0/`

### 1.4. Tips och trick

Bara ett par förslag innan du börjar:

- GIMP kan tillhandahålla tips du kan läsa när som helst genom att använda menykommandot Hjälp → Dagens tips. Dessa tips berättar om saker som kan vara nyttiga men svåra att komma på genom att testa sig fram, så de är värda att läsa. Överväg att läsa tipsen när du har tid för det.

- Om GIMP plötsligt verkar sluta fungera då du försöker göra något så kan avsnittet Komma loss vara till hjälp.

- Glöm inte att titta igenom inställningsdialogen. GIMP är väldigt anpassningsbart. Det finns många inställningar som du kan justera enligt dina personliga önskemål.

2. Vad är nytt i GIMP |  | Kapitel 3. Första stegen med GIMP

Report a bug in GIMP Rapportera ett dokumentationsfel